<?php

abstract class BaseRessourceFile extends MySQLObject
{
  public function Configure()
  {
    $this->SetTable('ressource_file');
    $this->SetColumn('id', array('type' => 'int(11)', 'primary' => true, 'autoincrement' => true, 'default' => 0, ));
    $this->SetColumn('ressource_version_id', array('type' => 'int(11)', 'default' => 0, ));
    $this->SetColumn('file_id', array('type' => 'int(11)', 'default' => 0, ));

    $this->SetupRelation('RessourceVersion', array('type' => 'oneToOne', 'class' => 'RessourceVersion', 'foreign' => 'id', 'local' => 'ressource_version_id', ));
    $this->SetupRelation('File', array('type' => 'oneToOne', 'class' => 'File', 'foreign' => 'id', 'local' => 'file_id', ));
  }
}

?>