<?php

abstract class BaseRessourceSetContent extends MySQLObject
{
  public function Configure()
  {
    $this->SetTable('ressource_set_content');
    $this->SetColumn('id', array('type' => 'int(11)', 'primary' => true, 'autoincrement' => true, 'default' => 0, ));
    $this->SetColumn('ressource_set_id', array('type' => 'int(11)', 'default' => 0, ));
    $this->SetColumn('ressource_id', array('type' => 'int(11)', 'default' => 0, ));

    $this->SetupRelation('RessourceSet', array('type' => 'oneToOne', 'class' => 'RessourceSet', 'foreign' => 'id', 'local' => 'ressource_set_id', ));
    $this->SetupRelation('Ressource', array('type' => 'oneToOne', 'class' => 'Ressource', 'foreign' => 'id', 'local' => 'ressource_id', ));
  }
}

?>